Skip to main content
PUT
/
v1
/
hubspot
/
deals
/
{deal_id}
Update Deal
curl --request PUT \
  --url https://api.ontora.com/v1/hubspot/deals/{deal_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "amount": "<string>",
  "close_date": "<string>",
  "deal_description": "<string>",
  "owner": "<string>",
  "deal_stage": "<string>",
  "deal_probability": "<string>",
  "associations": [
    {
      "type": "<string>",
      "id": "<string>"
    }
  ]
}
'
{
  "id": "<string>",
  "name": "<string>",
  "amount": "<string>",
  "close_date": "<string>",
  "deal_description": "<string>",
  "owner": "<string>",
  "deal_stage": "<string>",
  "deal_probability": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ontora.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

deal_id
string
required

Query Parameters

workspace_id
string<uuid>
required

Body

application/json
name
string | null
amount
string | null
close_date
string | null
deal_description
string | null
owner
string | null
deal_stage
string | null
deal_probability
string | null
associations
DealAssociation · object[] | null

Response

Successful Response

id
string
required
name
string | null
amount
string | null
close_date
string | null
deal_description
string | null
owner
string | null
deal_stage
string | null
deal_probability
string | null